package net.sourceforge.phpeclipse.news;

import net.sourceforge.phpeclipse.webbrowser.views.BrowserView;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

//import org.eclipse.update.internal.ui.UpdatePerspective;
/**
 * @author Laurent Fourrier, Jrme Ngre
 *  
 */
public class Perspective implements IPerspectiveFactory {
  /**
   * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(IPageLayout)
   */
  public void createInitialLayout(IPageLayout layout) {
    String editorArea = layout.getEditorArea();
    layout.setEditorAreaVisible(false);
    //		IFolderLayout bottom = layout.createFolder("bottom",
    //				IPageLayout.BOTTOM, 0.70f, editorArea);
    //		bottom.addView("net.sourceforge.phpeclipse.news.view.headline");
    IFolderLayout bottom = layout.createFolder("bottom", IPageLayout.BOTTOM, 0.50f, editorArea);
    bottom.addView(BrowserView.ID_BROWSER);
    IFolderLayout left = layout.createFolder("left", IPageLayout.LEFT, 0.30f, editorArea);
    left.addView("net.sourceforge.phpeclipse.news.view.explorer");
    IFolderLayout right = layout.createFolder("right", IPageLayout.RIGHT, 0.70f, editorArea);
    right.addView("net.sourceforge.phpeclipse.news.view.headline");
  }
}